Name: netprofile
Summary: Manage network profiles
Version: 0.10
Release: %mkrel 3
Source: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Base
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: initscripts >= 7.06-13mdk
Requires: diffutils
URL: http://www.mandrivalinux.com/

%description
Manage network profiles

%prep

%setup -q

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std INITDIR=%_initrddir

%clean
rm -rf $RPM_BUILD_ROOT

%post

if [ ! -d /etc/netprofile/profiles/default ]; then
  /sbin/save-netprofile default
fi

%files
%defattr(-,root,root) 
%doc ChangeLog
/sbin/*
%dir /etc/netprofile
%dir /etc/netprofile/profiles
%config(noreplace) /etc/netprofile/list
%config(noreplace) /etc/bash_completion.d/netprofile
/etc/sysconfig/network-scripts/ifup.d/netprofile




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.10-3mdv2009.0
+ Revision: 223343
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.10-2mdv2008.1
+ Revision: 130595
- kill re-definition of %%buildroot on Pixel's request
- fix URL


* Sun Jan 28 2007 Olivier Thauvin <nanardon@mandriva.org> 0.10-2mdv2007.0
+ Revision: 114731
- rebuild

* Tue Dec 06 2005 Frederic Lepied <flepied@mandriva.com> 0.10-1mdk
- add an ifup.d script to be able to switch the profile automatically
if the NETPROFILE variable is set.

* Fri Apr 08 2005 Warly <warly@mandrakesoft.com> 0.9.2-1mdk
- fix background not correctly displayed in silent mode for fbmenu

* Wed Mar 30 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.9.1-1mdk
- fix return code of set-netprofile

* Wed Mar 30 2005 Olivier Blin <oblin@mandrakesoft.com> 0.9-2mdk
- set-netprofile: make net_applet reload the configuration

* Wed Mar 23 2005 Warly <warly@mandrakesoft.com> 0.9-1mdk
- Check for silent bootsplash and use bootsplash image

* Thu Mar 03 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.8-1mdk
- add-to-netprofile: copy a file anyway to all profiles even if the
  file is already under netprofile control with -f option.
- fix a bug when using profile name from kernel command line

* Fri Feb 04 2005 Warly <warly@mandrakesoft.com> 0.7.5-1mk
- new call to fbgrab to dump the background before calling fbmenu

* Fri Jan 21 2005 Warly <warly@mandrakesoft.com> 0.7.4-1mdk
- add call to fbmenu to choose a profile during boot

* Thu Sep 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.7.3-1mdk
- back to using previously set profile is none is requested at boot

* Thu Sep 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.7.2-1mdk
- set-netprofile:
 o fix bug when changing the hostname at boot (reported by Charles Davant).
 o assume we want the default one if no profile name is
  specified. This allows to avoid setting PROFILE=default in
  lilo.conf.
 o use set_hostname from network-functions to work cleanly with s2u

* Fri Jun 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.7.1-1mdk
- use more meaningful names: add-to-netprofile and remove-from-netprofile

* Fri Jun 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.7-1mdk
- added add-netprofile and del-netprofile to add/remove a file under
  netprofile management.

* Wed Mar 17 2004 Frederic Lepied <flepied@mandrakesoft.com> 0.6.3-1mdk
- save time, ntp and yp files (bug #7808)

